Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.sockenklaus.XmlStats.Datasource
Class StatsDS

    java.lang.Object
      de.sockenklaus.XmlStats.Datasource.Datasource
          de.sockenklaus.XmlStats.Datasource.StatsDS

    public class StatsDS

extends Datasource

The Class StatsDS.

Constructor Summary
`StatsDS()` Instantiates a new stats ds.

Method Summary
`java.io.File` | `getDataFolder()` Gets the data folder.
`com.nidefawl.Stats.Stats` | `getPlugin()` Gets the plugin.
`java.util.HashMap<java.lang.String,com.nidefawl.Stats.datasource.PlayerStat>` | `getStats()` Gets the stats.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatsDS

    public StatsDS()

  Instantiates a new stats ds.

Method Detail

### getPlugin

    public com.nidefawl.Stats.Stats getPlugin()

  Gets the plugin.

  Returns:
    the plugin

### getDataFolder

    public java.io.File getDataFolder()

  Gets the data folder.

  Returns:
    the data folder

### getStats

    public java.util.HashMap<java.lang.String,com.nidefawl.Stats.datasource.PlayerStat> getStats()

  Gets the stats.

  Returns:
    the stats

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD